import { Component, OnInit } from '@angular/core';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { FrameDetailComponent } from '../../../../frame/core/detail/frame.detail';

@Component({
  selector: 'app-interview-std-report-detail',
  templateUrl: './interview-std-report-detail.component.html',
  styleUrls: ['./interview-std-report-detail.component.scss']
})
export class InterviewStdReportDetailComponent extends FrameDetailComponent  implements OnInit {

  constructor(bsModalRef: BsModalRef) {
    super(bsModalRef);
   }

  ngOnInit(): void {
  }

  //考生导出
  downloadStd(flag: any) {
    let entity = {
      batch_id : this.ResponseEntity.batch_id,
      ly_exam_date: this.ResponseEntity.exam_date,
      ly_group_id: this.ResponseEntity.ly_group_id,
      time_type: this.ResponseEntity.time_type,
      report_name: 'StdRegTotalReport',
      report_title: '面试考生汇总_'+ this.ResponseEntity.group_name+"_"+this.ResponseEntity.exam_date
    }
    if(flag == 1) {
      entity['report_name'] = 'StdRegTotalReport';
    } else if(flag == 2) {
      entity['report_name'] = 'StdRegInRoomReport';
    } else if(flag == 3) {
      entity['report_name'] = 'StdRegNoRoomReport';
    }
    this.FuncService.ajaxDownload('frame/report/download.htm', entity);
  }

}
